@(loginForm: Form[UserDTO.UserLogin])(implicit request: RequestHeader, messagesProvider: MessagesProvider)

<!DOCTYPE html>
<html lang="en">
    <head>
        <title>P2 .::. Engenharia de Software III .::. Login</title>
        <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("stylesheets/main.css")">
        <link rel="shortcut icon" type="image/png" href="@routes.Assets.versioned("images/favicon.png")">
    </head>
    <body>

@if(loginForm.hasGlobalErrors) {
  <ul>
  @for(error <- loginForm.globalErrors) {
    <li>@error.format</li>
  }
  </ul>
}

@request.flash.data.map{ case (name, value) =>
    <div class="@name">@value</div>
}

@import helper._

        <div class="formcreate">
            @helper.form(action = routes.UserController.login(), 'id -> "loginForm") {
                @CSRF.formField           
                @helper.inputText(loginForm("username"), '_label -> "Nome:")
                @helper.inputPassword(loginForm("password"), '_label -> "Senha:")
                <button type="submit">Login</button>
            }
            <br/>
            <a href="/cadastro">Criar conta</a>
        </div>

    </body>
</html>
